%define name amule
%define version 2.2.6
%define distsuffix plf
%define release %mkrel 1
%define oname aMule

Summary: File sharing client compatible with eDonkey
Name: %{name}
Version: %{version}
Release: %{release}
License: GPLv2+
Group: Networking/File transfer

Source:	http://ovh.dl.sourceforge.net/sourceforge/amule/%{oname}-%version.tar.bz2
Source10: %{name}-16.png
Source11: %{name}-32.png
Source12: %{name}-48.png
URL: http://amule.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRequires: gd-devel >= 2.0
BuildRequires: curl-devel
Buildrequires: ncurses-devel
Buildrequires: readline-devel
BuildRequires: gettext-devel
Buildrequires: desktop-file-utils
BuildRequires: libwxgtku-devel >= 2.8
BuildRequires: libcryptopp-devel
BuildRequires: libupnp-devel
BuildRequires: libgeoip-devel
BuildRequires: binutils-devel

provides: amule1
obsoletes: amule1

Conflicts: xmule < 1.6.0-2plf

%description
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer
Network.  It is a fork of xMule, whis was based on emule for
Windows. aMule currently supports (but is not limited to) the
following platforms: Linux, *BSD and MacOS X.

This package is in PLF because Mandriva does not allow P2P softwares

%package commandline
Summary: File sharing client compatible with eDonkey
Group: Networking/File transfer
Requires: amule

%description commandline
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer
Network.  It is a fork of xMule, whis was based on emule for
Windows. aMule currently supports (but is not limited to) the
following platforms: Linux, *BSD and MacOS X.

This is the command line tool to control aMule remotely (or locally:).

aMule is in PLF because Mandriva does not allow P2P softwares

%package webserver
Summary: File sharing client compatible with eDonkey
Group: Networking/File transfer
Requires: amule

%description webserver
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer
Network.  It is a fork of xMule, whis was based on emule for
Windows. aMule currently supports (but is not limited to) the
following platforms: Linux, *BSD and MacOS X.

This is the webserver to control aMule remotely (or locally:).

aMule is in PLF because Mandriva does not allow P2P softwares
%prep
%setup -q -n %oname-%version

%build

%configure2_5x \
--with-wx-config=%{_bindir}/wx-config-unicode\
               --enable-amulecmd \
               --enable-amulecmdgui\
	       --enable-amule-gui \
               --enable-webserver\
               --enable-webservergui\
               --disable-gsocket\
	       --enable-cas\
	       --enable-wxcas\
 	       --enable-alc\
               --enable-alcc \
               --enable-embedded_crypto\
               --disable-debug\
               --enable-utf8-systray\
	       --enable-amule-daemon \
	       --enable-optimize \
	       --enable-geoip
%make

%install
rm -rf %buildroot

%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale/ee/LC_MESSAGES/amule.mo
%find_lang %{name}
install -m 644 -D %{SOURCE10} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m 644 -D %{SOURCE11} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m 644 -D %{SOURCE12} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}

# Fix wrong-script-end-of-line-encoding
perl -pi -e 's/\015$//' %buildroot/%_datadir/doc/amule-%version/amule-win32.HOWTO.txt


rm -f %buildroot/%_datadir/doc/amule-%{version}/man/.cvsignore

mv %buildroot%_bindir/ed2k %buildroot%_bindir/ed2k-%name
rm -rf %buildroot%_datadir/doc/%oname-%version
rm -f %buildroot/%{_libdir}/xchat/plugins/xas.pl
cat > $RPM_BUILD_DIR/%oname-%version/README.update.urpmi << EOF
WARNING :
aMule may segfault after an upgrade from 1.2.x to this version.
In this case, just rename the ".aMule" directory in your home as, say,
".aMule-1.2". It may even keep the preferences !!
Hum, well, that's just a "it works for me" (tm) trick (maybe it used the 
config in ".xMule"? 
If necessary, reconfigure aMule, of course. 

ATTENTION : 
aMule peut ne pas fonctionner aprs une mise  jour de 1.2.x  cette version 
Dans ce cas, pas de panique ! Renommez le dossier ".aMule"  la racine de 
votre rpertoire utilisateur en ".aMule-1.2". 
Cela peut mme conserver les prfrences !! 
Enfin "a marche chez moi" (tm) (peut-tre grce au dossier ".xMule" qui 
trainait l aussi!) 
Si ncessaire, reconfigurez aMule. 

ACHTUNG :
aMule knnte bei einer Aktualisierung von Version 1.2 auf diese Version
abstrzen. Wenn dies auftritt benenne .aMule in z.B. .aMule-1.2 um. Es kann
sogar sein, das die Einstellungen beibehalten werden. Dies ist aber nur ein
Trick welcher fr mich funktioniert hat (Vielleicht kamen die Einstellungen
auch aus dem Verzeichnis .xMule.
Wenn ntig, musst du aMule natrlich neu konfigurieren.
EOF

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf %buildroot


%post
%{update_menus}
update-alternatives --install %{_bindir}/ed2k ed2k %{_bindir}/ed2k-%name 5

%postun
%{clean_menus}
update-alternatives --remove ed2k %{_bindir}/ed2k-%name
%files -f %{name}.lang
%defattr(-,root,root)
%doc README.update.urpmi docs/* 
%{_datadir}/applications/alc.desktop
%{_datadir}/applications/wxcas.desktop
%{_datadir}/pixmaps/alc.xpm
%{_datadir}/pixmaps/wxcas.xpm
%{_bindir}/amule
%{_bindir}/autostart-xas
%_bindir/amulegui
%{_bindir}/wxcas
%{_bindir}/cas
%{_bindir}/ed2k-amule
%{_bindir}/alc
%dir %{_datadir}/%name
%{_datadir}/%name/skins
%{_datadir}/applications/amule.desktop
%{_datadir}/applications/amulegui.desktop
%{_datadir}/pixmaps/amule.xpm
%{_datadir}/pixmaps/amulegui.xpm
%{_datadir}/cas
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%lang(de) %{_mandir}/de/man1/alc.1*
%lang(es) %{_mandir}/es/man1/alc.1*
%lang(eu) %{_mandir}/eu/man1/alc.1*
%lang(hu) %{_mandir}/hu/man1/alc.1*
%{_mandir}/man1/alc.1*
%lang(eu) %{_mandir}/eu/man1/alcc.1*
%lang(de) %{_mandir}/de/man1/amule.1*
%lang(eu) %{_mandir}/eu/man1/amule.1*
%lang(it) %{_mandir}/it/man1/amule.1*
%lang(de) %{_mandir}/de/man1/amulegui.1*
%lang(it) %{_mandir}/it/man1/amulegui.1*
%{_mandir}/de/man1/cas.1*
%lang(de) %{_mandir}/de/man1/ed2k.1*
%lang(de) %{_mandir}/de/man1/wxcas.1*
%lang(de) %{_mandir}/de/man1/xas.1*
%lang(es) %{_mandir}/es/man1/amule.1*
%lang(es) %{_mandir}/es/man1/cas.1*
%lang(es) %{_mandir}/es/man1/ed2k.1*
%lang(es) %{_mandir}/es/man1/wxcas.1*
%lang(es) %{_mandir}/es/man1/xas.1*
%lang(fr) %{_mandir}/fr/man1/amule.1*
%lang(fr) %{_mandir}/fr/man1/ed2k.1*
%lang(hu) %{_mandir}/hu/man1/amule.1*
%lang(hu) %{_mandir}/hu/man1/cas.1*
%lang(eu) %{_mandir}/eu/man1/cas.1*
%lang(hu) %{_mandir}/hu/man1/ed2k.1*
%lang(it) %{_mandir}/it/man1/ed2k.1*
%lang(eu) %{_mandir}/eu/man1/ed2k.1*
%lang(hu) %{_mandir}/hu/man1/wxcas.1*
%lang(eu) %{_mandir}/eu/man1/wxcas.1*
%lang(hu) %{_mandir}/hu/man1/xas.1*
%lang(eu) %{_mandir}/eu/man1/xas.1*
%{_mandir}/man1/amule.1*
%{_mandir}/man1/amulegui.1*
%{_mandir}/man1/cas.1*
%{_mandir}/man1/ed2k.1*
%{_mandir}/man1/wxcas.1*
%{_mandir}/man1/xas.1*

%files commandline
%defattr(-,root,root)
%doc docs/README
%{_bindir}/%{name}cmd
%{_bindir}/alcc
%_bindir/amuled
%lang(de) %{_mandir}/de/man1/alcc.1*
%lang(es) %{_mandir}/es/man1/alcc.1*
%lang(fr) %{_mandir}/fr/man1/alcc.1*
%{_mandir}/man1/alcc.1*
%lang(hu) %{_mandir}/hu/man1/alcc.1*
%lang(de) %{_mandir}/de/man1/amulecmd.1*
%lang(es) %{_mandir}/es/man1/amulecmd.1*
%lang(eu) %{_mandir}/eu/man1/amulecmd.1*
%lang(fr) %{_mandir}/fr/man1/amulecmd.1*
%lang(hu) %{_mandir}/hu/man1/amulecmd.1*
%lang(it) %{_mandir}/it/man1/amulecmd.1*
%{_mandir}/man1/amulecmd.1*
%lang(de) %{_mandir}/de/man1/amuled.1*
%lang(es) %{_mandir}/es/man1/amuled.1*
%lang(eu) %{_mandir}/eu/man1/amuled.1*
%lang(fr) %{_mandir}/fr/man1/amuled.1*
%lang(hu) %{_mandir}/hu/man1/amuled.1*
%lang(it) %{_mandir}/it/man1/amuled.1*
%{_mandir}/man1/amuled.1*

%files webserver
%defattr(-,root,root)
%doc docs/README
%{_bindir}/%{name}web
%{_datadir}/amule/webserver/*
%lang(de) %{_mandir}/de/man1/amuleweb.1*
%lang(es) %{_mandir}/es/man1/amuleweb.1*
%lang(eu) %{_mandir}/eu/man1/amuleweb.1*
%lang(fr) %{_mandir}/fr/man1/amuleweb.1*
%lang(hu) %{_mandir}/hu/man1/amuleweb.1*
%lang(it) %{_mandir}/it/man1/amuleweb.1*
%{_mandir}/man1/amuleweb.1*

%changelog
* Wed Sep 23 2009 Gtz Waschk <goetz@zarb.org> 2.2.6-1plf2010.0
- update file list
- new version

* Mon May 18 2009 Guillaume Bedot <littletux@zarb.org> 2.2.5-1plf2010.0
- New release, includes bugfix

* Tue Apr 14 2009 Gtz Waschk <goetz@zarb.org> 2.2.4-1plf2009.1
- enable optimization
- new version

* Wed Feb 11 2009 Gtz Waschk <goetz@zarb.org> 2.2.3-2plf2009.1
- rebuild for new binutils

* Tue Dec 30 2008 Gtz Waschk <goetz@zarb.org> 2.2.3-1plf2009.1
- build with binutils
- update license
- new version

* Fri Nov  7 2008 Gtz Waschk <goetz@zarb.org> 2.2.2-2plf2009.1
- enable UPNP and GeoIP support

* Tue Aug 12 2008 Gtz Waschk <goetz@zarb.org> 2.2.2-1plf2009.0
- new version

* Thu Jun 12 2008 Gtz Waschk <goetz@zarb.org> 2.2.1-1plf2009.0
- update file list
- depend on cryptopp
- drop old menu
- drop patches
- new version

* Fri Oct 12 2007 Gtz Waschk <goetz@zarb.org> 2.1.3-4plf2008.1
- fix desktop entries
- fix buildrequires (bug #148)

* Fri Dec 29 2006 Gtz Waschk <goetz@zarb.org> 2.1.3-3plf2007.1
- patch for wxgtk 2.8

* Mon Jun 19 2006 Gtz Waschk <goetz@zarb.org> 2.1.3-2plf2007.0
- xdg menu

* Mon Jun 12 2006 Gtz Waschk <goetz@zarb.org> 2.1.3-1plf2007.0
- New release 2.1.3

* Sun May 28 2006 Nicolas Lcureuil <neoclust@zarb.org> 2.1.2-1plf
- New version 2.1.2

* Thu Mar 23 2006 Gtz Waschk <goetz@zarb.org> 2.1.1-2plf
- update file list
- add amule daemon

* Sat Mar 18 2006 Götz Waschk <goetz@zarb.org> 2.1.1-1plf
- New release 2.1.1

* Mon Jan 23 2006 Gtz Waschk <goetz@zarb.org> 2.1.0-2plf
- fix buildrequires
- simplify configure call
- add amule remote gui

* Mon Jan 02 2006 Nicolas Lcureuil <neoclust@zarb.org> 2.1.0-1plf
- 2.1.0  The "I just teased you with this release till 2006" version

* Wed Nov 16 2005 Nicolas Lcureuil <neoclust@zarb.org> 2.1.0-0.20051116.1plf
- Sync with svn

* Wed Nov 09 2005 Nicolas Lcureuil <neoclust@zarb.org> 2.0.3-4plf
- fix macros %datadir/man => %_mandir
- fix %buildroot but doesn't know why it does not work for cat 
- %%mkrel

* Thu Oct 13 2005 Götz Waschk <goetz@zarb.org> 2.0.3-3plf
- Rebuild

* Thu Jun 16 2005 Nicolas Lecureuil <neoclust@zarb.org> 2.0.3-2plf
- Rebuild 

* Thu Jun 16 2005 Nicolas Lecureuil <neoclust@zarb.org> 2.0.3-1plf
- New release 2.0.3
   - The "Hell 2.0.3: Now with improved daemons!" version

* Sun Jun 05 2005 Nicolas Lecureuil <neoclust@zarb.org> 2.0.2-1plf
-  New release 2.0.2

* Wed May 18 2005 Nicolas Lecureuil <neoclust@zarb.org> 2.0.1-1plf
- New release 2.0.1

* Sat May 14 2005 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-5plf
- s/Mandrakelinux/Mandriva
- Fix wrong-script-end-of-line-encoding to make Plouf_Lint Happy

* Thu May 12 2005 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-4plf
- Fix BuildReqires 

* Wed May 11 2005 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-3plf
- Fix Spec for Mdk 10.1 and 10.2

* Wed May 04 2005 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-2plf
- Fix BuildRequires
- Fix Menu for previous Mandriva releases

* Tue May 03 2005 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-1plf
- 2.0.0 
- Fix Files Section
- Fix build for previous Mdk releases ( Thanks littletux )

* Tue Mar 10 2005 trem <trem@zarb.org> 2.0.0-0.rc8.6plf
- Fix Requires

* Fri Dec 24 2004 trem <trem@zarb.org> 2.0.0-0.rc8.5plf
- Fix lib for amd64

* Wed Dec 22 2004 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-0.rc8.4plf
- Fix build for 10.1

* Wed Dec 22 2004 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-0.rc8.3plf
- Removing utf8 option still it doesn't work well

* Wed Dec 22 2004 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-0.rc8.2plf
- Fix Requires

* Wed Dec 22 2004 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-0.rc8.1plf
- Rc8

* Tue Dec 21 2004 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-0.rc7.4plf
- Fix build for previous mandrake release

* Fri Oct 22 2004 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-0.rc7.3plf
- Fixing reason for PLF
- Removing Xchat Script (Thanks to Pterjan && Littletux)
- Updating German README.update.urpmi ( From Steffen Barszus)

* Fri Oct 22 2004 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-0.rc7.2plf
- Adding reason for PLF

* Wed Oct 20 2004 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-0.rc7.1plf
- 2.0.0-0.rc7 
- Fix %doc

* Sun Oct 10 2004 Nicolas Lcureuil <neoclust@zarb.org> 2.0.0-0.rc6.2plf
- enabling littletux utf8 patch    ---> littletux Roxx 
- fixing README.update.urpmi

* Sun Oct 10 2004 trem <trem@zarb.org> 2.0.0-0.rc6.1plf
- 2.0.0-0.rc6
- fix some Buildrequires

* Tue Aug 31 2004 Guillaume Bedot <littletux@zarb.org> 2.0.0-0.rc5.1plf
- last rc spec contributed by neoclust
- added webserver package and README.update.urpmi

* Wed Feb 25 2004 Gtz Waschk <goetz@plf.zarb.org> 1.2.6-3plf
- build with wx_base

* Tue Feb 24 2004 Gtz Waschk <goetz@plf.zarb.org> 1.2.6-2plf
- fix menu for mdk 10.0

* Tue Feb 24 2004 Gtz Waschk <goetz@plf.zarb.org> 1.2.6-1plf
- new version

* Thu Jan 22 2004 Gtz Waschk <goetz@plf.zarb.org> 1.2.4-1plf
- new version

* Fri Jan  2 2004 Gtz Waschk <goetz@plf.zarb.org> 1.2.3-1plf
- new version

* Sun Dec 14 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.1-1plf
- fix docs section
- drop wget requirement
- buildrequires curl-devel
- new version

* Fri Nov 28 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.0-1plf
- new version

* Wed Oct 22 2003 Gtz Waschk <goetz@plf.zarb.org> 1.1.0-1plf
- new version

* Fri Oct 17 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.9-1plf
- new version

* Sat Oct 11 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.8-1plf
- new version

* Sat Oct  4 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.7-1plf
- add conflict with older xmule without alternativized /usr/bin/ed2k
- new version

* Thu Sep 25 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.6-1plf
- initial aMule package

* Wed Aug 27 2003 Gtz Waschk <goetz@plf.zarb.org> 1.6.0-1plf
- switch to wxGTK2.4
- new version

* Fri Jul 11 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.5.5-1plf
- 1.5.5

* Sun Jul 06 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.5.4-1plf
- 1.5.4

* Fri Jul 04 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.5.3-2plf
- "add changelog, /me sux" thanx Nanar for the suggestion :-)

* Fri Jul 04 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.5.3-1plf
- Switch to unstable 1.5.3
  Works fine and fixes a lot of bugs !

* Tue May 27 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.4.0-1plf
- renamed to xMule
- 1.4.0

* Tue May 20 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.3.1-1plf
- unstable version 1.3.1 (fixes some bugs like segfault on exit)

* Wed May 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.2.1-2plf
- Require wget (thanks houpla)

* Mon Apr 28 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.2.1-1plf
- 1.2.1
- Don't need anymore to patch configure for gtk2

* Mon Apr 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.2.0-1plf
- 1.2.0
- removed French translation (included upstream)
- removed gtk2 patch (merged upstream)

* Thu Apr 03 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.13c-2plf
- added BuildRequires libexpat-devel zlib1-devel libgtk+-x11-2.0_0-devel
  libglib2.0_0-devel

* Tue Apr 01 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.13c-1plf
- 1.1.13c
- added a partial French translation

* Sat Mar 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.13-1plf
- new version
- drop patch removing systray integration
- add patch for compilation of systray with gtk2
- drop patch for wx 2.5 compatibility

* Sun Mar 23 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.12-1plf
- new version
- lmule changelog states "Lmule probably compiles with gtk2 again.."
  There are less errors but it still doesn't, so I keep the patch dropping
  systray support.
  
* Fri Mar 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.11b-2plf
- use wxGTK from cvs

* Thu Mar 20 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.11b-1.plf
- new version
- use find_lang

* Wed Mar 19 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.11-1plf
- new version

* Tue Mar 18 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.10-1plf
- new version
- updated patch

* Sun Mar 16 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.8-1plf
- initial release
- patch removing systray so it compile
